Home Uncategorized MetaTrader Compatibility Issue on MacOS Catalina

MetaTrader Compatibility Issue on MacOS Catalina

239
0
Mon, 14 Oct 2019 1612 Dear Trader, Only if you are using MetaTrader for Mac, please note The newest update for MacOS called Catalina has introduced a compatibility issue that does not allow MetaTrader programs to function on the platform.